const OracleService = require('../service/OracleService');

class qryErroImportaVenda {
  constructor() {
    this.GET_QRYERROIMPORTAVENDA = `
            SELECT * 
            FROM (SELECT  a.*, ROWNUM AS rnum 
                  FROM (SELECT ID, CHAVE, TABELA, DSINSTRUCAOSQL, DSPARAMS, DSERRO, DTERRO FROM ERROIMPORTAVENDA ORDER BY DTERRO, TABELA) a
                  WHERE ROWNUM <= :MAX_ROW)
            WHERE rnum >= :MIN_ROW
        `;
  }

  get(params) {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_QRYERROIMPORTAVENDA, params);
    });
  }
}

module.exports = new qryErroImportaVenda();
