const path = require('path')

class ErrorLogConfig {
    constructor(){
        this.prePath = path.join(__dirname, '..', 'log')
        this.fileName = '_error.log'
    }

    getFilePath(){
        let date = new Date()
        return path.join(this.prePath,date.toLocaleDateString().replace(/\-/gi,'_')+this.fileName)
    }
}
module.exports = new ErrorLogConfig()