import { IConfig } from '@zeedhi/core';

let port:any;
if (process.env.NODE_ENV === 'development') {
  port = '';
} else {
  port = localStorage.getItem('ORG');
}

const config: IConfig = {
  endPoint: process.env.VUE_APP_END_POINT + port,
  metadataEndPoint: process.env.VUE_APP_METADATA_END_POINT, // 'http://localhost/data/', //
};

export default config;
